======
Version 1.2.1.2
Built 8/30/2012
======
[Fixed] Crash with retrofit orders when using non-standard resources for construction (ie Ammo/Fuel in GA).
[Fixed] Reset camera on middle click was doing weird things with the camera in non-freeform mode.
[Fixed] Object.getMass() was not defined for const Objects.
[Fixed] 'SubSystem Unlocked' empire messages were not correctly linking to the stellar-pedia.
[Fixed] Stations built from other stations could sometimes not exchange resources with the original planet correctly.
[Fixed] Failed research sharing treaties could sometimes permanently remove research points from empires.
[Changed] Keybind for 'Reset Camera' now resets the camera to the angle it is in at the start of the game.
[Changed] Keybind for 'Reset Camera to Top-Down' now resets to an actual top-down view again instead of the default angle.
[Added] Bindable keys for zooming in and out.

======
Version 1.2.1.0
Built 7/20/2012
======
[Fixed] Null pointer exceptions caused by scripts could cause the JIT to crash instead of reporting an error in the console.
[Fixed] Tutorial would get stuck at a certain point.
[Fixed] Some alterations to fleet movement improving formation cohesion and mitigating overshoot caused by fleets.
[Fixed] Wedge formation not being very wedgey.
[Fixed] Mods derived from other mods were not functioning correctly.
[Fixed] objSetting01 through objSetting07 object flags for mods were not functioning correctly due to MSVC compiler badness.
[Added] "Select Planets" option to system/star right click menu.
[Added] Moddable achievements system.
[Added] Submenu on the right click menu for uncolonized planets that lets you set the governor/queue to use beforehand.
[Added] Players connecting into a multiplayer game after it has already started can choose to spectate rather than take over an empire (provided the host has not disallowed it).

======
Version 1.2.0.0
Built 3/20/2012
======
[Fixed] Fix being able to trade research back and forth infinitely.
[Fixed] Fix colonizers with weapons never firing at anything.
[Fixed] Fix crash related to buildings being destroyed in OnGlobalDamage events.
[Fixed] Fix crash when planets marked for autocolonization get destroyed.
[Fixed] Batched ship construction orders would not repeat correctly.
[Fixed] Rally points on dry docks would not save.
[Fixed] Fix some inaccuracies in the german translation.
[Fixed] Fix engines never activating when boarding a disabled ship.
[Fixed] Fix importing blueprints with no automation orders resetting to default automation.
[Fixed] Fix crash related to loading transfer orders.
[Fixed] Fix player-controlled ships in the galaxy not being visible when joining an MP game in progress.
[Fixed] Rennovating the same structure multiple times will now only occur once. (Duplicates will be removed when they are started)
[Fixed] Many simple data types in scripts were calling destructors needlessly.
[Fixed] Many simple data types in scripts were also using reference counting needlessly.
[Fixed] Fixed a crash in treaties.
[Fixed] Possibly fixed mousing over objects that weren't near the cursor.
[Fixed] Fixed star surface animation on newer NVIDIA drivers.
[Fixed] The Automate Research setting was not being saved if there was no queued research.
[Fixed] AIs are smarter about trade-per-second agreements.
[Fixed] Fixed some abusable aspects of the trade-per-second agreements.
[Balanced] Repair rates on nano armor are more sensible now.
[Balanced] Reverse inductors and Mind Sappers now use correct level scaling so they aren't uncounterable.
[Changed] Planetary shields now block chemical bomb damage to population.
[Changed] Updated AngelScript to the most recent version.
[Changed] Shields now wobble less and are less opaque until attacked.
[Changed] Improved error reporting for missing shader constants.
[Added] Added AngelScript JIT compiler! Significantly improves the performance of many aspects of the game, leading to generally improved framerate.
[Added] Added two new race portraits courtesy of Hazzard!
[Added] The Particle Editor and Model Configurator now have customizable backgrounds (see Game Data/EditorBackgrounds.txt), and can return to the main menu and quit from the interface.

======
Version 1.1.0.2
Built 9/12/2011
======
[Fixed] Fixed crash in the IRC.
[Fixed] Batch build jobs now repeat correctly.
[Fixed] Rally points save for all objects, not just planets.
[Fixed] Boarding disabled ships now works correctly.
[Fixed] Exported blueprints without automation orders now import with automation (rather than default)
[Fixed] Fixed a loading crash.
[Fixed] Fixed ships in the galaxy in multiplayer not showing up when joining a game in progress.
[Changed] Updated German translation.
[Added] Added draft of the Manual.

======
Version 1.1.0.0
Built 8/9/2011
======
[Fixed] Multiplayer clients could not create treaties.
[Fixed] Multiplayer clients could not retract treaties.
[Fixed] The subsystems that are linked are now correctly loaded and imported and will no longer change based on overlap.
[Fixed] Obsoleted blueprints would not be removed from various build lists until a blueprint was added/updated.
[Fixed] Second planet granted by "Developed Empire" trait now has regular amounts of HP.
[Fixed] Using modifiers on armor no longer causes the armor to take up space.
[Fixed] Explosion sound would play for multiplayer clients for silent destruction (colony ship, scuttle/retrofit).
[Fixed] Page Up/Down keybinds would not save.
[Fixed] Auto-colonize planet now works for multiplayer clients.
[Fixed] Auto-colonize lists are saved/loaded.
[Fixed] Undock all from the right click menu now properly removes auto-dock orders (unless forced) so ships won't immediately re-dock.
[Fixed] AIs are no longer prevented from expanding when the minimum ship size limit is set higher than their scout blueprint.
[Fixed] Planet rings/moons are saved/loaded and work for multiplayer clients.
[Fixed] Disabled ships are removed from control groups.
[Fixed] Research automation toggle is saved/loaded.
[Fixed] Selecting a planet after a ship with an obsolete blueprint no longer shows the planet as obsolete in the object information panel.
[Fixed] Fix system window becoming unresponsive after dry docks or planets got destroyed.
[Fixed] Fix selected object list scrolling to the top automatically.
[Fixed] Ships could stop moving altogether for multiplayer clients in high-lag situations.
[Fixed] Ore isn't erroneously shown in mouse overlay for ships with cargo bays.
[Fixed] Multiplayer clients would not always receive blueprints when capturing enemy ships.
[Fixed] Weapons with MultiPulseCost (Missile Racks) now have their reload progress displayed correctly.
[Fixed] Race profiles could not be saved for mods installed in My Games.
[Fixed] Number of owned planets listed in the system window for home systems to multiplayer clients was off by 1.
[Fixed] Governor dropdown in system window could be opened underneath other GUI elements.
[Fixed] Various display glitches related to structure removal and renovation for multiplayer clients.
[Fixed] Planetary conditions removed by the natural terraformers trait would still appear for multiplayer clients.
[Fixed] "Game Lost" message would not show up for multiplayer clients.
[Fixed] Asteroids created by planets being destroyed would not show up for multiplayer clients.
[Fixed] "Continue" main menu option did not work for mods installed in My Games.
[Fixed] AI could not properly cope with high starting technology levels.
[Fixed] Shipyard labor pool scaled asymptotically instead of exponentially, leaving labor severely throttled at high tech.
[Changed] The current value for stats are displayed on the object information window without hovering.
[Balanced] External mounts are now equivalently massive to the hull.
[Added] Complete, official, german translation of the game.

======
Version 1.0.9.0
Built 7/26/2011
======
[Fixed] Ships on hold or defend position stance will no longer move because of work with tool orders.
[Fixed] Homeworlds had less hitpoints than was normal for planets.
[Fixed] The game did not render while maximized.
[Fixed] Notification of new treaties only occurs when a new treaty is actually proposed, and a sound plays for each unique treaty proposed.
[Fixed] Boarding defense did not work.
[Fixed] Number suffixes on dates when saving were slightly wrong.
[Fixed] Culling of graphics nodes was horribly broken in virtually all cases. The game should perform much better with lots of ships in the galaxy, so long as they aren't on screen.
[Fixed] Under attack alerts would only appear once per system.
[Fixed] Choosing a govern via the right click menu didn't automatically enable that governor.
[Changed] The balanced start map option is now on by default.
[Changed] Reduced modification factors for shift/alt on camera movement.
[Changed] Notification icons can now be right-clicked to dismiss them.
[Changed] Planetary conditions are now visible after exploring, instead of only after colonization.
[Changed] Ordering a non-dangerous tool (Interdictor, Attractor, ...) to fire on your own ship no longer requires you to force / hold control.
[Changed] Shipyards now provide a small ammo generation / storage.
[Changed] System Window now lists Dry Docks (can be filtered out).
[Changed] Build on Best/Build on All from right click menu now take Dry Docks into account.
[Changed] Carriers on 'Hold Fire' stance no longer undock their fighters to engage.
[Balanced] Targeting Sensors now increase range by a much larger amount relative to their size.
[Balanced] Positive planetary conditions are now slightly more common than negative ones.
[Added] New ringworld model. Thanks WarStalkeR!
[Added] 5 new planet textures, 3 new ring textures and 2 new cloud textures. Thanks JonnyDawe!
[Added] System Blockades: if there are over twice as many enemies in a system as you have forces, none of your planets or ships will be able to access the galactic bank in that system.
[Added] Empires now have race portraits chosen from the race customization window. Thanks Hazzard!
[Added] Redid the tutorial to be more interactive and (we hope) more interesting.
[Added] New subsystem: External Mount. Linked sub system takes up no space (the mount always takes up 1.0 space), but takes damage after shields and before armor.
[Added] New subsystem: Chemical Bomb. Can only target planets, kills a lot of population but leaves structures intact.
[Added] Groups of haulers can now be ordered to "Keep Supplying This" on an object. The selected haulers will collect resources from the system they're in and supply them to the object, then return to the system they were originally in and repeat.
[Added] Added bind 'Focus on Object' to the options menu that mimics middle-mouse-click.
[Added] Added a 'Temperature Falloff' option to the new game settings (default on). Decides the distribution of planet types based roughly off of the temperature the planet would experience.
[Added] Added 'Spread out Empires' and 'Keep allies together' options to the new game settings (default on). Attempts to spread out non-allies and bunch up allies when generating the map, respectively.
[Added] Button on the message ticker to open a log window that displays a scrollable list of previous empire messages.
[Added] 'LAN' tab on the multiplayer menu to discover LAN games without needing to find the local IP manually.
[Added] New object information panel displaying more graphical information and with individually cancellable orders.
[Added] Added new weapon effects from Galactic Armory, thanks XTRMNTR2K!
[UI] Resizing the blueprints window now makes the layout circle bigger, making it easier to place sub systems on crowded designs.
[UI] Ordering a tool to fire that requires a forced order now prompts for it.
[UI] Queue Management window for Dry Docks now displays resource cost/progress.
[UI] Added notification icon for when someone declares war on you.
[UI] Added notification icon when a tech is leveled up, a link is finished, or a tech is unlocked.
[UI] Added notification icon when a planet is colonized or lost.
[UI] The 'Update Threshold' in blueprints is now more sensible - a value of 1 should update when all sub systems have been affected by 1 tech level increase.
[UI] 'New Game Menu' settings are now remembered between games. You may also save and load these settings.
[UI] Trade window hides clauses that can't actually be added to the treaty due to peace agreements or war declarations.
[UI] Holding shift while clicking a technology/link now queues it behind other techs but before repeated technologies.
[UI] Multiplayer window now remembers the last IP/Port entered for connect.
[UI] There is now a button directly opening the civil acts window next to the empire bank display.

======
Version 1.0.8.2
Built 7/8/2011
======
[Fixed] Taking over planets from AIs would sometimes prevent the planet from importing a particular resource.
[Fixed] Deleting a savegame deleted the wrong entry in the list.
[Fixed] Opening the options menu twice at the same time from the escape menu would crash the game.
[Fixed] Attractors did not function.
[Fixed] Dry Docks building other orbiting objects now no longer teleport some of those to close orbit around the sun.
[Fixed] You couldn't access a mod's effects in the particle editor.
[Fixed] Loading a game for multiplayer would allow clients to join the empire the host was controlling.
[Fixed] Effector data mismatch error could occur when loading saves with accented characters in blueprint names.
[Fixed] Jump Drives would sometimes retain orders in their previous system after jumping, causing them to fly back.
[Fixed] AIs would propose treaties involving goods and luxuries to empires with the "Eusocial Society" trait.
[Changed] AIs in the tutorial will no longer declare war on the player themselves.
[Changed] Updated French community translation. Thanks Mikey5887!
[Changed] Planet conditions are now tinted green or red according to whether they are beneficial or harmful.
[Changed] System rings are now off by default (replaced by the new information on the system plane).
[Changed] The system plane is now colorized to the color of the dominant empire in that system.
[Changed] The total available slots on a planet can now be seen after a system is explored, even if you no longer have vision.
[Changed] Using the right click menu to build ships now builds those ships on all selected planets or dry docks.
[Changed] Explicitly ordering tools to fire now works when the ship is on 'Hold Fire' stance.
[Changed] Boarding Parties can be explicitly fired from the right click menu, letting you set 'Hold Fire' and board without destroying the other ship.
[Changed] The Directed Spatial Manipulator no longer fires independently, but must be ordered from the right click menu to prevent wasting shots on insignificant targets.
[Changed] Updated Polish community translation. Thanks maxi!
[Balance] Halve all planetary damage reduction.
[Balance] Halve population reproduction rates.
[Balance] Halve population reproduction rates again when the planet is under attack.
[Balance] Decreased hull absorption rates to 30%/50%/70% for Light/Medium/Heavy hull respectively.
[Balance] Buff boarding defense.
[Added] Players can now toggle planets to allow or disallow importing or exporting resources.
[Added] Detonating the quasar now creates a chain reaction that causes most of the stars in the galaxy to be destroyed over time.
[Added] Added option to keep the mouse cursor in the window.
[Added] Added compatibility option for Intel Integrated GPUs.
[Added] The system planes now display bars/pips around the edge representing the military strength of empires in that system.
[Added] When hovering over a system or star you no longer have vision over, the time since you last had intel is displayed.
[Added] Research automation checkbox: when turned on, automatically research the lowest level tech when you're not researching something else.
[Added] Right-clicking a star or system now also shows a "Build Ships on All..." option.

======
Version 1.0.8.0
Built 6/28/2011
======
[Fixed] Fixed issues related to the recently added special systems feature.
[Fixed] Fixed issues with AI diplomacy in loaded games.
[Fixed] Pirates still had incorrect research rates in loaded games.
[Fixed] 'Continue' would not consistently choose the newest save.
[Changed] Load Game menu now shows the current mod you're in.
[Added] Added a new Star Corona effect, which should produce much nicer and more active looking stars!
[Added] Added a completely redone tutorial with more information presented in a, we hope, more effective way.

======
Version 1.0.7.8
Built 6/13/2011
======
[Fixed] Fixed a "Effector Data Mismatch" bug that many people were experiencing.
[Fixed] Significantly improved performance with AIs late-game.
[Fixed] Fixed a memory leak when loading a saved game.
[Fixed] Autosaves are now disabled when paused.
[Fixed] Planets with extremely low population are no longer useless until purged.
[Fixed] Pirates were not updating their hulls, leaving them very vulnerable as the game progressed.
[Fixed] Pirates were starting with random tech levels, sometimes causing them to be excessively powerful.
[Fixed] "Update Threshold" on blueprints is no longer lost when saving the blueprint.
[Fixed] Mining lasers with an emergency power supplying all the power needs caused an error.
[Fixed] Ammo usage wasn't updating when a modifier that affected it was added.
[Fixed] Pausing the game in multiplayer could cause newly connected clients to divide by zero in their interpolation, making stars vanish.
[Changed] When a planet is lost, everything yet to be built, and without any progress, are removed from the build queue.
[Changed] Reduced AI difficulty on lower AI settings.
[Changed] The right-click menu is now implemented in scripts.
[Balance] Planetary weapons gain range when on a Ringworld (10x base range).
[Balance] Fighter Hulls can now be made bigger as their tech level is increased.
[Added] Multiplayer option to prevent AIs from taking over player empires when they disconnect.
[Added] Added three special types of systems that offer unique tactical choices.


======
Version 1.0.7.6
Built 5/17/2011
======
[Fixed] Fixed a deadlock caused by selecting a ship as it was about to dock.
[Fixed] Advanced Parts Assembler used up resources even if there was no space to put advanced parts.
[Fixed] Fetch orders automatically assigned by construction bays no longer attempt to fill more cargo than available.
[Fixed] Mega Construction had a link to itself.
[Fixed] Linked sub system modifiers did not work for designs made by multiplayer clients.
[Fixed] Ships parked in orbit would not de-park after moving for multiplayer clients.
[Fixed] Crash related to supply orders for construction resources.
[Fixed] Internal Defenses would not function on ships without crew.
[Fixed] Keybinds specified as key numbers with # would not load from controls.cfg.
[Fixed] GUI Script keybinds no longer override options menu keybinds, which was leading to being unable to bind certain keys.
[Fixed] The natural terraformers race trait would remove the ringworld bonus from ringworlds.
[Fixed] "Close" preferred engagement range was not being calculated.
[Fixed] Planets moved into deep space would be invisible upon loading a game.
[Fixed] Fixed a bug that made trading food behave strangely when a planet had cargo storage.
[Changed] Dry Docks can now have rally points.
[Changed] Drag selecting will select only military ships if there are any military ships in the selection (can be turned off from the options menu).
[Changed] Multiplayer games start paused until all players have finished loading.
[Changed] Order strings ("Attack ...", "Defend System", etc) can now be localized.
[Changed] Auto-colonize now picks the largest planet in the closest system first, rather than always the closest planet.
[Changed] Supply orders for ships in fleets now only supply ships in that fleet.
[Changed] The "Efficient" race trait now also affects EcoStore.
[Changed] Changed how objects are ticked to make planets behave more similarly, rather than the first planet in a system getting more resource priority all the time.
[Balance] Slightly reduced planet reproduction rate, and decreased effectiveness of their passive Damage Reduction.
[Balance] Repair Bays and Salvagers are now linked to the Material Sciences technology, and Salvagers are unlocked sooner.
[Added] "Automatically Retrofit" automation order that can be added to blueprint AI orders.
[Added] "Allow other ships to supply resources" AI behavior setting. Tankers will not supply ships with this set to deny.
[Added] When undocking, you can choose specific types of ships and the amount of ships to undock.
[Added] When using control to build multiple ships of the same type, a checkbox "Batch construction" can now be checked. This completes all the ships before launching them all together.
[Added] An entirely new AI that should provide a harder challenge. The old AI is still available as separate AI profiles, but will not be chosen when selecting "Random".


======
Version 1.0.7.4
Built 4/15/2011
======
[Fixed] "Invalid Common String reference" error caused by loading savegames with supply orders. Saves displaying the error will be loadable again with this fix.
[Fixed] A deadlock caused by two blueprints updating at the same time.
[Fixed] The governor selection for planets in the system window opening and closing randomly.
[Fixed] Selecting a ship in a fleet not selecting the entire fleet.
[Fixed] Automation orders did not update when adding new components to the design or changing the docking settings.
[Fixed] Treaties sent from the host to a client player when there was already an active treaty between those two would be instantly accepted.
[Added] Clicking "Add Pin" while having an entire fleet selected now pins the fleet.
[Added] "Ships Turn to Decelerate" option that can be toggled off. When off, ships will always face their target instead of turning around to slow down.
[Added] "Flag: FakeRotation" for model definitions to mark specific models as not needing to turn around to decelerate.
[Added] Planets in the system window can now also be sorted by used and free slots.
[Added] "Send Resources Once" treaty clause to... send resources once... rather than trade them every second.

======
Version 1.0.7.2
Built 4/12/2011
======
[Fixed] New treaty notification icon was not disappearing when opening the empire window.
[Fixed] Ship build cost would not appear in the hover information on planets with no empty slots.
[Fixed] Holding shift while clicking a top bar button would not correctly open a new window of that type.
[Fixed] Automation orders did not import from exported designs.
[Fixed] Could not select the shipyard world governor in the planet window.
[Fixed] Large odd numbers of flags in the race customization window would make the last flag disappear.
[Fixed] Divide by zero crash when adding 4 or more shipsets.
[Fixed] Automatic blueprint updates would reset automation orders.
[Fixed] Heavy Hull level was too high, causing it to have much more hitpoints than the other hull types.
[Fixed] Negative mood did not display correctly in the planet window.
[Fixed] Items in the pinned list would still display after returning to the main menu.
[Fixed] Random freeze/crash caused by a deadlock. Frequently appeared when lots of scouts were auto-exploring at the same time.
[Fixed] GUI Elements could disappear in some situations (chat box when working in the layout window, scrollbar in system window).
[Fixed] Shipborne factory systems would use up resources even if there was no place to store what was being fabricated.
[Fixed] Fixed a bug in multiplayer clients that would cause weirdness and instability.
[Fixed] Planetary bunkers weren't correctly absorbing damage.
[Fixed] Fixed timestamps on saves being off by one hour (or worse).
[Changed] Object list's filter box is now case-insensitive.
[Changed] Added Ere4s3r's corrected smoothing groups to the Neumon.
[Changed] Cargo storage no longer always unlocks Armor at level 4 by paying the link cost.
[Balance] Reworked Coolant System to cause more significant increases in weapon firing rates, but also dramatically increase running costs for the connected weapon.
[Balance] Flak range and delay now scale the same as all the other weapons.
[Added] "Declare war if this treaty fails" clause. If the treaty fails due to either party having insufficient resources, declare war now.
[Added] "End all existing treaties" clause. If accepted, all previous treaties are nullified.
[Added] "Ammo lifetime damage" stat to detailed statistics page. Shows how much damage a full load of ammo can do before being depleted.
[Added] "Supply Resource" automation order. Used for tankers to automatically supply ships with fuel.
[Added] Added an automatic patcher. Downloads and runs necessary patches automatically. Access by clicking 'Check for Updates.'
[UI] Making the research window small enough now hides the queue.
[UI] The empire window now loses information in the top area more gradually when resized down.
[UI] When hovering over a system, the name is colored the same as the ring.
[UI] The top left ticker now displays research rate.
[UI] Holding shift while pressing the import button in the blueprints window attempts to import all designs in the profile.
[UI] Blueprints in the planet and system windows can now be sorted.
[UI] Blueprints sort can now differentiate between ascending and descending.
[UI] Add option to sort planets in system window by name, slots or governor.
[UI] Link icons in research window are hidden on zoom levels smaller or equal to 0.30x.
[UI] The top left ticker displays research progress by coloring the text from left to right.
[UI] Percentage complete is now shown behind the name of the current building item in the planet window.
[UI] Added a "Continue" button to the main menu, which will load the newest save (including autosaves).
[UI] F7 will now open the civil acts window.
[UI] F10 will open the escape menu without closing any windows. (Used to be F12)

======
Version 1.0.7.0
Built 3/31/2011
======
[Fixed] Fix issue when importing blueprints with a "Manage Docked"/autoundock order.
[Fixed] Bridges only needed half as much crew as they were reporting.
[Fixed] The orders given by the trade automation order were reversed.
[Fixed] AIs taking over from disconnected players in MP would add their traits and reset the homeworld.
[Fixed] Crash on load when docked objects had been given orders.
[Fixed] After loading a game, planets and systems that were scouted before but had no vision when saving are now still visible.
[Fixed] Loading a game after returning to the main menu from a mod would not work without re-selecting the mod first.
[Fixed] Fixed a crash in multiplayer related to losing a planet.
[Fixed] Starting Tech Level now only affects technologies that start unlocked, unless "All Techs Available" is also enabled.
[Fixed] "Ancient Ruins" now works with "All Techs Available" enabled.
[Fixed] Energy weapons would display the wrong power cost when modified to fire faster than once per second.
[Fixed] Declaring war was not cancelling all previous treaties with that empire.
[Changed] Selecting a ship in a fleet now selects the entire fleet. Clicking the ship again will select just that ship.
[Changed] Tweaked the AI profiles homeworld build orders to work better with the economy.
[Changed] Canceling a construction returns 50% of the resource cost of the construction (except for Labor).
[Changed] Shipyard governors no longer remove farms.
[Changed] When deciding to update a layout, sub system size is taken into account. Small sub systems are less important for auto-updating, and large sub systems are more important.
[Changed] Tweaked Metals and Electronics fab images for a bit better readability.
[Changed] Redid the layout of all technologies.
[Balance] Doubled Advanced Parts production, and slightly reduced Electronics and Metal production.
[Balance] Increased the various lasers' damage by 33%.
[Balance] Work ethic and Academics campaign civil acts only affect resource production by 10% rather than 25%.
[Added] Detailed Statistics on a blueprint now shows the maximum distance a ship can fly in its fuel life time.
[Added] Exact stored resources and storage capacity can now be seen per resource on the economy tab.
[Added] "Automatically Explore" automation order. Find an unscouted system when built and fly to it (possibly repeating or fleeing from enemies). Added to the default scout blueprint.
[Added] Firing and Impact points can now be seen in the model configurator. Also removed any non-functional tools from the toolbar.
[Added] Added option to disable engine flares. Disabling them should significantly improve framerate for games with large numbers of ships.
[Added] Added 'stroked' versions of the fonts. These are used as a nicer version of text shadowing (e.g. Research Field names, Mouse-Overlay text).
[Added] Added "As Level" syntax for sub system variables to make them be treated as level vars for the purposes of updating a sub system.
[Added] Added recolors of the Railgun for Artillery and Plasma Thrower for the Muon Cannon.
[Added] Added a new weapon, the Muon Cannon. Lower dps than a railgun, but partially pierces armor. Uses low amounts of ammo, but needs power.
[Added] Added "Material Sciences" technology. Increases most sub system health significantly per-level (not armor or hulls). Now governs the bulkhead's level (rather than armor).
[Added] Added a new shipset by eRe4s3r, dubbed the 'Neumon' shipset.
[Added] When in contact with more than one other empire, relative rankings in the categories Military, Colonization, Research and Economy are listed.
[Added] Global empire population stat in the empire window.
[UI] Added a common GUI skin. We are moving all windows over to the new skin system, and several windows have already been moved over. This includes a variety of improvements to the functionality of those windows as well.
[UI] Minimap: clicking the bars for an empire selects all military ships of that empire in the system.
[UI] Minimap: Selecting an object now clears focus, allowing the camera to behave as expected.
[UI] Research window: ctrl-clicking the remove button for a queued tech removes a single level instead.
[UI] The escape menu is now handled in the scripts, and is centered on the screen.
[UI] Current population and amount of structures built on a planet can now be seen from the hover information for every planet, not just your own.
[UI] Ship Layout Editor: The sub system list now has modes to display small icons and text, or large icons only.
[UI] Ship Layout Editor: You can drag a sub system out of the list to add it to the design, rather than double clicking.
[UI] Ship Layout Editor: Designs in the layout list can now be sorted by name or scale, and obsoleted designs are reddish when "Show Obsolete" is enabled.
[UI] Ship Layout Editor: Holding control while dragging a sub system on the blueprint creates a copy.
[UI] Diplomacy window: Reorganized the window to be easier to use.
[UI] Treat window: Reorganized the window to make who does what clearer.
[UI] Object List: Objects can now be filtered by name and type, and all filtered objects can be selected.
[Removed] Removed the dark purple empire color.

======
version 1.0.6.2
Built 2/21/2011
======
[Fixed] Fixed various minor issues.
[Fixed] Freeze when changing an object's name.

======
version 1.0.6.0
Built 2/18/2011
======
[Fixed] Fixed floating point errors in cargo and ship bay spaces.
[Fixed] Fixed a floating point error when deciding if a ship is disabled.
[Fixed] Artillery was using the wrong effector.
[Fixed] Some blueprints for the AIs were broken at early tech levels.
[Fixed] Linked Subsystem glows now only show for sub systems that are actually linked.
[Fixed] 'Metal Mandate' was acting like 'Metal Focus.'
[Fixed] Missile racks weren't taking their clip size into account when predicting damage output, causing too many missile racks to target the same object.
[Fixed] Fighter hulls and stealth systems would aid in dodging Flak and Shield Bomb damage.
[Fixed] Ships actually take directional damage now!
[Fixed] Fixed a crash in multiplayer related to objects being destroyed.
[Fixed] Defend and Work orders on stationary objects will no longer give attack/use tool orders to objects that are too far away.
[Fixed] Further improved the movement system, in particular when chasing fast objects.
[Fixed] Changed power generation to reduce the likelihood of a ship shutting down at high tick rates.
[Fixed] The default Fighter design wasn't very good at its job.
[Fixed] Fighters automatically launched from carriers would not return to their carrier after attacking.
[Fixed] Fixed a crash (PVFC) related to fleet icons.
[Fixed] The repair bay is now properly classified as Support in sub system lists.
[Fixed] AIs now perform many tasks at a time based on how many are present to be performed. Fixes the AIs getting 'stuck' late game. (Thanks Foraven)
[Fixed] Many repair beams should spread out amongst different targets better.
[Fixed] Effects on ships (e.g. damage events) weren't being saved.
[Fixed] Carriers could try to dock into themselves by ordering the fleet they were in to dock in them.
[Fixed] You may now click on the name of a constructed ship in the message to select/zoom to that ship.
[Fixed] Fixed ship port logic; should now trade resources more effectively.
[Fixed] Resolutions larger than your largest monitor (in either dimension) will no longer be listed, and your native resolution will be listed if it is not.
[Fixed] AIs were managing their fleets in very poor ways, causing them to be scattered across the galaxy.
[Fixed] Fixed comet tails and attack glow effects on some video cards.
[Fixed] Fixed removing cargo storages causing significant problems.
[Fixed] Sub system and ship explosions no longer play if you can't see the system.
[Fixed] Some values for spin boxes would cause a crash.
[Fixed] AIs considered Pirates and Remnants as warring opponents, making the AIs far less likely to wage war.
[Fixed] Dragging some windows would be very laggy (e.g. race customization).
[Changed] Planets that are under attack will experience rapid moral loss.
[Changed] 'Auto' governor now uses more economic worlds in the first 10 minutes of the game.
[Changed] Reduced galaxy gas density for dumbbell galaxies.
[Changed] Space Port now uses a split level: Trade rate comes from Economics, storage size comes from Cargo.
[Changed] In the right-click menu, "Use Tool...Tool" is now "Use Tool".
[Changed] In the right-click menu, tools can have a special "Use" name, like "Colonize Planet".
[Changed] Further reduced space damage.
[Changed] Flak will now only automatically attack when things get within 80% of its max range, to avoid only hitting a few targets when a large mass of units is approaching.
[Changed] Links in the in-game IRC window can now be clicked.
[Changed] Diplomacy cannot be conducted with empires before meeting one of their ships or planets. Can be disabled by toggling "Start in Full Contact" from the new game menu.
[Changed] Homeworld starts with 2 less farms, and instead starts with a space port and ship yard.
[Changed] Changed how fighter hull dodging works to make it easier for fighters to hit each other, and so a fast moving attacker doesn't suffer from its own speed.
[Changed] Changed base designs to be generally better, especially with regards to recent changes.
[Changed] Crew Quarters regenerate 1% of the crew per second.
[Changed] Planets without enough food will lose no more than 10% of their people per second.
[Changed] Running out of food now reduces mood of a planet, at worst at the same rate as lacking goods.
[Changed] Docked ships are now repaired by the carrier's repair bays and crew if the carrier is at full health.
[Changed] System Searches (used by the AI) are now batched. This significantly improves performance with many AIs, or many ships controlled by the AI.
[Changed] Updated the Aggressor AI (Thanks Superking).
[Changed] Deadend research links refund 10% of their cost to the tech, and repeated links (unlocking an already unlocked tech) refunds 20% of the cost of the link to the unlocked tech.
[Changed] Optimized engine flares.
[Changed] Effects can have up to 6 values.
[Changed] Economic structures now produce partial output when there are not enough workers to run all structures. This prevents a planet from dying off due to the single space port shutting down, for example.
[Changed] Revamped the blueprint import window for easier import of multiple designs and to add a delete button for designs in the profile.
[Changed] Star Ruler now keeps saves, mods, screenshots, etc. in "My Documents/My Games/Star Ruler". Files in the previous folder will be moved to the new folder when you launch Star Ruler.
[Changed] "Indebted" race trait now takes 50% of all resources exported to the bank for the first 20 minutes.
[Balance] Repair tool repair rate reduced by 50%.
[Balance] Bussard Ramjet no longer takes up double the apparent size, and has increased thrust output (still much lower than thrusters).
[Balance] Significantly increased the range and average damage of flak.
[Balance] Bulkheads no longer get hit before other sub systems.
[Balance] Bulkheads on armor now provide a third less bonus hitpoints than on regular systems.
[Balance] Flak cannot be fitted on fighter hulls, and must be a minimum size of 1 (scale 1 on a scale 1).
[Balance] Boarding Parties now require power and air.
[Balance] Doubled labor cost of structures.
[Balance] Tripled labor cost of planet cannons, lasers, and shields (in addition to the previous increase).
[Balance] Reduced starting population of colonies - 1M/structure down from 6M
[Balance] Spamming minimum-size colony ships should no longer be effective, at all.
[Balance] "Fast Metabolism" trait now awards 1 point.
[Balance] "Natural Green Thumb" trait now grants 2 levels of biology (down from 5)
[Balance] Slightly increased goods generation.
[Balance] Upgrading structures multiple levels will now be significantly more expensive, but upgrading 1 level will be unchanged.
[Added] Added a new version of the Civil Acts window to make total effects much more obvious.
[Added] Costs of ships, ship systems, and structures are now displayed in their hover boxes.
[Added] The subsystem damage window in the bottom right now has a "Layout" mode that displays the blueprint with damaged systems in red.
[Added] Empire stats (e.g. Galactic Bank resources) now have rate-tracking to provide income, expenses, and demands at regular intervals.
[Added] Added setStat/subStat functions to scripts to complement addStat, as well ass addDemand to alter the new demand component of stat tracking.
[Added] The "makeShip" function now returns the id the constructed ship will eventually have. Useful to the AIs for tracking their build orders.
[Added] Added "Balanced Start" option to maps. Forces players to start in systems with 3 or 4 planets, avoiding systems with too few or too many planets.
[Added] Added support for multiple loading screen backgrounds. Default is Images/loading_background.png, and additional backgrounds are named loading_background1.png, loading_background2.png, etc.
[Added] The Layout View Mode of the Blueprint Window now displays which subsystems are affecting whichever stat you mouse over. 
[Added] All global stats in the Blueprint Window now display tooltips that inform the player what each stat is used for when the player hovers over them.
[Added] A default strike craft blueprint can be assigned for carriers in the blueprints window.
[Added] Option in the blueprints window to build carriers filled with a full strike craft complement.
[Added] Option in the blueprints window to let carriers automatically order nearby planets to build new strike craft if they lose any.
[Added] Automation orders given to new ships can be edited on a per-blueprint basis in the blueprints window.
[Added] Ship defend range: can be set between current system only (default), local area (x AU) and entire galaxy. Ships will move to other systems you can see enemies in within their defend range.
[Added] ExtTexts can now use <tag:param> syntax by putting #html# at the beginning. To further aide readability, tags may have a '/' character at the beginning (e.g. <col:red>Red Text</col> White Text)
[Added] Added new game options to limit maximum ship count, and minimum and maximum ship scale.
[Removed] Removed unused earthbump.jpg and sunmap.jpg.
[Removed] Removed TemplateArg support for script functions, as it didn't work anyway.
[Removed] Removed "Currency-free Economy" trait as it does not work with the new economy.

======
Version 1.0.5.4
Built 1/24/2011
======
[Fixed] Fix civil acts that have a group not correctly loading.
[Fixed] Fix racial bonuses affecting ship components not correctly applying.
[Fixed] Crash on game start when having shaders disabled.
[Fixed] Dry Docks could be ordered to scuttle or retrofit at themselves, making them disappear.
[Fixed] When starting at a higher tech level from traits, structures on the homeworld did not start at that level.
[Fixed] Fetch orders did not behave properly with resources that have a "required" (eg Crew).
[Fixed] Ships reacting to automated attack orders could overshoot the system and sit idle at the edge of deep space.
[Fixed] The set_owner and destroy console commands now work with all selected objects.
[Fixed] Fixed a very rare crash bug caused by moving between systems/galaxies.
[Fixed] The minimap was horizontally flipped.
[Fixed] Objects that are under attack can no longer be docked to prevent exploits.
[Fixed] Construction progress would jump suddenly at times.
[Fixed] Construction completion percent is now the average of the lowest percentage of a particular resource, and the average percent per resource.
[Fixed] Scripted planet governor entries were breaking saves.
[Fixed] Shields no longer consume more power at higher levels.
[Fixed] "Supply This" was willing to tell planets and stations to supply objects.
[Fixed] Ships built from dry docks with auto park on would not park at the correct distance.
[Fixed] Fixed nano-armor reducing the ship's total apparent health in the absence of repair systems.
[Changed] Tweaked governors to maintain a stronger economy and empire.
[Changed] Tool names are now localizable.
[Changed] Automated attack orders are now lower priority, so ships will break attacks to fetch fuel and ammo unless manually ordered to attack to the death.
[Changed] Cut space damage in half.
[Changed] Repair tools can now only repair ships and stations.
[Changed] Fleets now stay in formation while attacking (can be toggled off with a button next to the formation buttons).
[Changed] Cargo Structures now also have a store for each dedicated resource, making them more useful in many cases.
[Balance] Artillery now has a minimum range of 10% of the maximum range.
[Balance] Goods factories now produce 30% less goods.
[Added] Added 'Automatic' option for default governor type to choose based on the conditions of the planet.
[Added] Objects now use a much better algorithm to search for targets in a system, improving behaviors at very large ship counts.
[Added] Ships now detect if they are likely to kill an enemy target and will select additional targets for their other guns when they are.
[Added] Added the 'Aggressor' personality by Superking.

======
Version 1.0.5.2
Built 1/15/2011
======
[Fixed] Orbit circles in the minimap were not showing up for multiplayer clients.
[Fixed] Crash when loading transfer orders out-of-order.
[Fixed] Planets in binary systems would get offsets on their orbits.
[Fixed] Use tool orders were stopping out of range when used on large objects.
[Fixed] Using the race customization and irc windows at the same time would lead to strange behaviour and crashes.
[Fixed] Colony ships already built when giving an auto-colonize order would move to random planets instead of prefering the closest.
[Fixed] Some new shaders were referencing a slow system call. This is now cached, resolving the slowdown.
[Changed] Updated german translation.
[Added] Configurable hotkey to toggle system planes.

======
Version 1.0.5.0
Built 1/14/2011
======
[Fixed] A long lag before joining a multiplayer game in progress that appears as a freeze (but eventually does connect).
[Fixed] Modded EmpireNames.txt and EmpireColors.txt are now used in the lobby.
[Fixed] Tips files were showing up as languages.
[Fixed] Freeze when holding alt for range rings while hovering on an enemy unit.
[Fixed] Antimatter generators would not explode when disabled due to lack of control.
[Fixed] Queue management commands did not work for dry docks in multiplayer.
[Fixed] Light/Heavy/Stealth hulls were incorrectly scaling with level, making them much too powerful at later tech levels.
[Fixed] Ships can now be retrofitted / scuttled at dry docks.
[Fixed] The victory message was not showing up when eliminating all enemy teams in a team game.
[Fixed] Docking stations into planets or carriers could crash.
[Fixed] Starting a multiplayer game with teams could crash due to timing issues.
[Fixed] When hovering over a sub system with a modifier/link attached to it, the correct stats will now be shown on the left.
[Fixed] Overriding controls that had a default key assigned to them would create duplicate bindings and not be displayed correctly in the options menu.
[Fixed] Hotkey groups are now saved and loaded.
[Fixed] The Rack Mount was misbehaving at small scales. It now behaves much more sensibly at all scales.
[Fixed] Fixed jittery movement of ships in multiplayer (except in very high-lag situations).
[Fixed] Manual transfer orders did not work for MP clients and did not save.
[Fixed] The order list on completely idle ships would not properly display for clients.
[Fixed] Boarding defenses were not scaling up, making them wholly ineffective.
[Changed] Nano armor hitpoints and damage reduction now only increase with armor research, while regeneration rate increases with nanotech research only.
[Changed] Multiplayer server names now default to "<nickname>'s Game".
[Changed] Clicking the planet lost message now zooms to the system the planet was lost in.
[Changed] Version compatibility is now checked before joining the lobby, instead of after starting the game.
[Changed] When a treaty ends prematurely because of one party lacking the required materials / research, a message is now displayed.
[Changed] Use tool only appears in the right click menu if the ship could actually use that tool on the clicked object.
[Changed] Stations built from orbital dry docks now correctly orbit the original planet.
[Changed] System Searches (used by the AIs) should now be faster.
[Changed] The hovered object poll now uses the OctTree, improving performance by ~10% in large galaxies.
[Changed] Arrow key movement speed now changes more drastically with zoom level, instead of being exceedingly slow when zoomed out.
[Changed] Zoom in now locks on to the system plane, so missing a target will no longer zoom "through" the system.
[Changed] The Remnants now use designs with more advanced technology in them. Analysing or boarding their designs will let you build high-tech toys much earlier.
[Changed] The system rings are now larger so as to fully contain the bounds of the system.
[Changed] Space damage is now percentage based.
[Changed] System ring owner color is now based on military strength rather than pure ship count.
[Changed] Systems are only marked as under attack if either you or the enemy have military presence.
[Changed] Systems that are contested now glow rather than their ring changing color.
[Changed] Distant icons for ships that are taking damage now glow.
[Balance] All armor levels are now equalized, making more advanced armor more viable.
[Balance] Ablative armor now scales the same way as other armor, giving it significantly more hitpoints at higher tech levels.
[Balance] Torpedoes now use less ammo.
[Balance] Planets now have a damage resistance related to cities, capitols, and bunkers. This scales with level, increasing their longevity late-game.
[Added] Savegames may now be deleted in-game.
[Added] Added an 'experimental' tab to the options menu. Has various completely unexplained options that aren't quite ready for release, but mostly work.
[Added] Dedicated server binary to run a server without playing or rendering the graphics.
[Added] UPnP support: port forwarding is no longer necessary to host a server when using a modern router that supports UPnP.
[Added] Moving your mouse to the edge of the screen now moves the camera. (Can be turned off from the options menu).
[Added] Options menu settings for ambient brightness and multiplayer server autosave.
[Added] 3D movement orders: Double right clicking and holding the right mouse button now lets you adjust the vertical component. (Also works by holding control, single right clicking and holding)
[Added] Added support for scripted planet queues. Use '<script call="Module::Function" />' in a queue to use a function of the type 'bool Name(Planet@).' Return true to prevent the rest of the queue from running.
[Added] A grid is now displayed on every system's XZ plane. (Can be turned off from the options menu).
[Added] Added 'OrderList::leaveFleet()' to remove a ship from its fleet.
[Added] Added a new weapon: Artillery. Huge range, massive damage, but very slow fire rate. May only be equipped to stations.
[Added] Added log & log10 functions for formulas.
[Added] Added new planet conditions: Plains (Cheaper buildings), Volcanic (Weaker buildings), and Geothermal vents (Faster electronics/advanced parts production).
[Added] Empire messages now have a category. Categories can be toggled on or off when expanding the ticker display.
[Added] Options to control the display or hide the distant icons for ships, stations and planets.
[Added] Race Customization: before the game starts, you can pick traits affecting your empire in various ways. Traits are picked with a point-buy system.

======
Version 1.0.4.4
Built 12/20/2010
======
[Fixed] Dry Docks could get stuck fetching resources from another planet in the system.
[Fixed] Asteroids in normal systems would be destroyed instantly instead of when they ran dry.
[Fixed] Missiles were not consuming proportionate amounts of ammo.
[Fixed] Multiplayer clients could crash when holding alt.
[Fixed] Legacy mod for 1.0.4.0 was missing, resulting in abnormally slow thrusters when loading 1.0.4.0 games in 1.0.4.2.
[Fixed] Default level health gain was 1.25 instead of the intended 0.25.
[Fixed] Repeat mode was crashing after completion.
[Changed] The IRC window can now be minimized.
[Balance] Computers generate a bit more control to make up for their large power consumption.
[Balance] Torpedo bays no longer gain bonuses from coolant systems / targeting sensors.
[Removed] Legacy 1.0.1.2 and 1.0.1.4 games are no longer supported.

======
Version 1.0.4.2
Built 12/17/2010
======
[Fixed] Choosing to auto-update would crash the game.
[Fixed] Multiplayer clients were not loading the galaxy map.
[Fixed] Certain xml files would not load from mods.
[Fixed] Certain AI designs did not have enough power and would go disabled.
[Fixed] Ships would sometimes run out of control even though they had a surplus available.
[Fixed] Internal Defenses subsystem would not get unlocked.
[Fixed] Fixed various designs being mis-localized or unstable.
[Changed] Updated translations: French.
[Added] /who can be used to list users in the IRC.

======
Version 1.0.4.0
Built 12/17/2010
======
[Fixed] Multiple colonizer modules on one ship now correctly sums the structure count.
[Fixed] Crash on return to main menu for mods using tag{} blocks in shipsets.
[Fixed] Ships moving to a target that gets destroyed flying towards the quasar.
[Fixed] Disabled ships getting station icon on load.
[Fixed] Ships following a planet after a transfer order.
[Fixed] Loading a game with 0 research rate would lead to an empty sub system / structure list.
[Fixed] Crash when constructing ships on a planet / dry dock in deep space.
[Fixed] Ships with control but without fuel could still use their thrusters every second tick.
[Fixed] Sub Systems did not have their onDeactive binds called when scuttled or retrofitted.
[Fixed] Space port trade now happens in the planet tick, leading to less wasted trade rate.
[Fixed] Fetch orders were not leaking control to subsequent orders until fetching for the first time.
[Fixed] Haulers could get stuck doing nothing waiting for a resource to become available instead of trading in different resources.
[Fixed] Superfluous explosion sounds were playing when scuttling / retrofitting or when colonizing a planet.
[Fixed] Ringworlds were being constructed at the wrong position.
[Fixed] Ringworlds constructed on larger stars (ie the quasar) would appear inside the star.
[Fixed] The ringworld structure size bonus was not applying correctly.
[Fixed] Using a jumpdrive could render the jumping ship unselectable.
[Fixed] Ships parked in orbit using a jumpdrive would not pick a new orbit correctly and fly off into the distance.
[Fixed] Offline planetary structures could not be removed.
[Fixed] Asteroids and comets were not working for multiplayer clients.
[Fixed] Ships constructed after load would not be assigned their proper automation (fetch, deposit, work) orders.
[Fixed] Capturing another empire's design will no longer spam duplicates each time.
[Fixed] Haulers ended up with wrong / negative cargo after trading with a planet that had cargo storage.
[Fixed] Haulers would end up filled with one particular resource (usually adv. parts) when its supply outweighed demand.
[Fixed] Hovering over the +/- resize buttons while holding shift in the blueprint editor now correctly displays the effect of an increment/decrement.
[Fixed] In the blueprints window, dragging a sub system to an invalid position would sometimes return it to the last valid position, rather than the nearest valid.
[Fixed] We have discovered that a particular function in OpenGL is quite slow; fixing this improved framerate significantly.
[Fixed] Sub-menus in the right-click menu will no longer move off screen.
[Fixed] Objects could push each other to ridiculous speeds.
[Changed] Shields now have a % chance to block or leak all damage from kinetic weapons entirely, rather than always blocking a % of the damage.
[Changed] Objects larger than scale 3600 are now visible everywhere to everyone.
[Changed] The system window's build on best algorithm now prefers shipyards over other structures.
[Changed] The main menu planet now chooses a random texture.
[Changed] Only one ringworld can be constructed per system. Attempting to construct additional ones will simply fail.
[Changed] The Analyzer now captures the design of disabled ships. Each attempt has a chance to succeed, which improves dramatically with bigger ships and analyzers.
[Changed] Ringworlds are now unlocked at MegaConstruction 22, Gravitics 16 and Spatial Dynamics 16.
[Changed] Haulers only supply when storage is under 45%, to avoid attempting to race against space ports.
[Changed] You can now hold shift when dragging sub systems in the blueprint editor to snap to a grid.
[Changed] When dragging sub systems in the blueprint editor, they can no longer leave the circle (you will see them where they would normally snap to).
[Changed] Dry Docks automatically fetch resources from the planet they are orbiting, if the planet has any.
[Changed] The mouse over information and object information panel now display hitpoints of all objects, not just the ones owned by you.
[Changed] You can now set individual settings, difficulties, names, colors, and cheating or not cheating for Empires in the New Game window.
[Changed] You may now add far more than 10 opponents if you wish; caution: larger numbers of opponents can rapidly degrade system performance.
[Changed] Sped up base panning speed.
[Changed] Updated Translations: Polish.
[Balance] Shields are now more effective, particularly for larger ships.
[Balance] Planetary shields are now much stronger.
[Balance] Increased power cost of middle-tech weapons.
[Balance] Power generators produce significantly less power.
[Balance] Bridges and Computers produce significantly less control.
[Balance] Increased mass of armor.
[Balance] Decrease gains to science labs from general sciences research. (Getting to level 10 takes about twice as long, level 20 four times)
[Balance] Missiles and Torpedoes now have longer range.
[Balance] Increased overall laser damage to compensate for their short range.
[Added] The blueprints tab now displays statistics for the currently selected design.
[Added] The loading screen displays random gameplay tips from a moddable / localizable list.
[Added] "Stockpiling Protocol" civil act: makes space ports keep resource levels at 95% instead of 50%.
[Added] You may now check for updates from the main menu. Note: Steam users won't see this option.
[Added] Added a patching program which downloads patches from our server and installs them itself. Must be run from Star Ruler.
[Added] AI Personalities may now specify a shipset for the AI to use.
[Added] "Refresh Automation" option in the right-click menu: adds back automation orders (fetch, work, defend, etc) after clearing them.
[Added] Destroyed planets now leave behind a bunch of asteroids based on the amount of ore they had left.
[Added] Added three new tracks by Artem Bank.
[Added] Economic Sub Systems for ships: Metal Refinery, Electronics Fabricator, Advanced Parts Assembler, Export Dock.
[Added] Graviton / Anti-Graviton beams: Repulsor, Attractor, Interdictor.
[Added] New Sub Systems: Quantum Battery, Matter Generator, Overcharged Laser, Internal Defenses.
[Added] Lobby System to Multiplayer and Singleplayer.
[Added] Detailed Statistics sub-window for the Blueprints window.
[Added] Lobby Chat window for both the main menu and in-game that connects to the new official irc channel.
[Added] "Give Vision" clause for treaties. Does what it says on the tin.
[Added] Ability to set teams between players before starting the game.

======
Version 1.0.3.0
Built 11/27/2010
======
[Fixed] Ships in invalid positions could crash the sound system if they ever played a sound. This should also fix random, extreme slowdowns experienced by some people.
[Fixed] Comets now orbit farther away from stars.
[Fixed] A change in 1.0.2.4 broke script-based target weighting. Will fix jump drives, mining lasers, repair tools, and a few other specialized weapons/tools.
[Fixed] Overlapped sub systems in the blueprint editor now only glow when one is a modifier.
[Fixed] The AI will no longer try to retrofit ships in contested systems.
[Fixed] Repeat mode no longer crashes.
[Fixed] Fixed a possible cause of saves that crash on load. Old saves won't be fixed, but the problem should be eliminated for future saves.
[Fixed] Fixed a crash caused by a distant ship icon updating while the ship was being destroyed.
[Fixed] Planet conditions were not applying all of their alterations.
[Fixed] Ships would randomly "vanish" mid-flight.
[Fixed] Actually fixed crash in servers with single thread mode on. Also speeds up single thread mode a bit.
[Fixed] Mods were not being loaded in multiplayer.
[Fixed] Reordered economic events. Running out of metals should no longer throttle your economy!
[Fixed] Fixed hull-related crashes. Existing saves cannot be fixed, if that is the source of their crashes. Sorry about that.
[Fixed] Transfer orders will no longer try to take from docked ships.
[Fixed] Ships could get stuck and unselectable after jumping.
[Fixed] Possible fix for an infinite loop in fleets.
[Fixed] Planets would forget their repeat state on load if they didn't have anything in their queue.
[Fixed] Fixed a crash caused by having a dying ship selected.
[Fixed] Fixed a pure virtual function call caused by OrderList.
[Fixed] Saving a blueprint with the same name as a manually obsoleted one would not save it.
[Fixed] AIs were ignoring Dreadnaughts they built.
[Fixed] Fixed various crashes related to fleets.
[Fixed] Asserts are no longer compiled into release (small performance improvement)
[Fixed] Tutorial scrollbars for localizations.
[Fixed] Blueprint AI settings didn't work for multiplayer clients.
[Fixed] Blueprint AI settings were not being exported.
[Fixed] Fixed a bug that would spam the console with errors.
[Changed] Control+click build now works everywhere you'd expect (system window, build on best context menu).
[Changed] Importing a design with errors (ie subsystems not unlocked yet) now displays those in a message box instead of failing silently.
[Changed] Improved the comet trail.
[Changed] Updated German translation.
[Changed] Moved system and planet generation to a server script (map_generation.as) so mods can change it.
[Changed] Ships that fire weapons in the galaxy will become visible to all players. Note: Planets in the galaxy are always visible to everyone.
[Added] Added two new tracks by Artem Bank.
[Added] Event notification sounds for pending treaties or finishing the research queue.
[Added] Added speed and distance indicators to the mouse over info. 1 AU = 1000 units.
[Added] If pirates are allowed to become wealthy, they can now launch multiple simultaneous raids.
[Added] Added new Fighter, Hauler, and Satellite models, and added LODs for the station.
[Added] Added an option for a 'standard' camera, which cannot roll. Use this if you find that you cannot effectively use the default camera.
[Added] All ships with thrust can be toggled to "Park in orbit": when they stop, they will start orbiting the closest planet or star.
[Added] New structure: Planetary Thruster. Unlocked at Propulsion 16, Gravitics 6 and Megaconstruction 6, allows you to move planets.
[Added] Blueprint AI setting to control whether other ships are allowed to fetch resources (fuel, etc) from that blueprint.
[Added] Blueprint AI settings to limit attack targetting to only planets/ships.
[Added] Blueprint AI settings to limit deposit targets to only planets/ships. (ie Miners' deposit ore orders).
[Added] Binary star systems and asteroid belt systems.

======
Version 1.0.2.8
Built 11/15/2010
======
[Fixed] Fixed a common crash we introduced in the last patch, sorry.
[Fixed] Script contexts were being prepared on demand. They are now cached, producing dramatic speed ups in our tests (~45 fps becomes ~150 fps).
[Fixed] Fixed a rare crash upon creating/updating a hull.
[Fixed] Sounds no longer play at all with master volume at 0.
[Fixed] Docked ships would cause a system to report the wrong number of ships in the system when the save was loaded. (Fixes white ring/empty system bug in saved games)
[Fixed] Single thread mode caused issues in multiplayer.
[Fixed] Cargo ships could occasionally reach negative cargo, causing weirdness.
[Fixed] Missile rack range now increases with size like other weapons.
[Fixed] Improved performance when large numbers of objects are in the galaxy/attempting to interact with the galaxy.
[Fixed] Fixed various crashes.
[Fixed] At times, saves will become invalid because hull names will become mis-matched. We're still investigating the cause, but for now you will be informed if a save is invalid. If this happens, you should go back to a previous autosave to hopefully avoid the issue. Further, I've added a check that may correct this error for some saves.
[Changed] Commonly created/removed orders are now pooled to improve performance.
[Changed] Planets have been slowed down a bit.
[Changed] Pirates use pillagers less often.
[Changed] Defend orders are more proactive about target picking.
[Added] Added AI personalities. AIs now choose from a few personalities which control many things about their behavior. We will add more in the coming weeks.

======
Version 1.0.2.6
Built 11/11/2010
======
[Fixed] Fixed a major bug in single threaded mode that prevented ships from leaving systems.
[Fixed] Object icons were messing up in Medium & Low texture quality.
[Fixed] Fixed some minor issues with the tutorial.
[Changed] Timed game effects are now allocated on a pool. Improves performance in combat.
[Removed] Removed duplicate ship designs from the tutorial mod.

======
Version 1.0.2.4
Built 11/10/2010
======
[Fixed] Crash when selecting a shipset.
[Fixed] Remnants no longer run out of fuel.
[Fixed] Changed order for movement updates to prevent a one-frame delay in motion prediction.
[Fixed] Clients in multiplayer were shown the victory message before joining an empire.
[Fixed] Governors no longer build structures that are not unlocked yet.
[Fixed] Layout scales are now rounded to 3 decimal places to prevent floating point errors from showing up.
[Fixed] Pirates with money troubles weren't buying pillagers because marauders were cheaper.
[Fixed] Joining a multiplayer game after going back to the main menu from another game would not load the map correctly.
[Fixed] The fighter hull had a 5% flat dodge chance instead of it being based on relative velocity.
[Fixed] Changing the max number of selectable AIs in main_menu.xml did not work. The default still goes up to 10, but it's moddable up to 200 AIs.*
[Fixed] Fixed various issues with updating hulls (SubSystem modifiers not working when a hull is updated). Designs in previous saves should be able to benefit from being updated, depending on the type of modifier used.
[Fixed] Fixed fleet icon not showing after load and not disappearing when docked.
[Fixed] Ship owner was being set after effect activation, leading to certain effects (notably Research) crashing on ships.
[Fixed] Structures with non-natural levels (farms) could not be renovated manually.
[Fixed] Zoom to cursor checkbox was saving incorrectly.
[Fixed] Planet orbits were sometimes stopping after loading a save.
[Fixed] Undocking sometimes hurled ships across the vast expanses of space at insane speeds.
[Fixed] Damage order based on sub system position wasn't taking the size of the sub system into account. Now, a large sub system can protect little sub systems 'inside' it.
[Fixed] The music now instantly stops playing upon exiting, rather than when the game finishes cleaning itself up.
[Fixed] Treaties would randomly crash in multiplayer.
[Fixed] Objects thought they had far higher acceleration than they really did (due to not taking mass into account). Should significantly improve movement patterns, especially when it comes to planets.
[Fixed] Our custom GUI elements were not being properly deleted, causing a memory leak in the GUI.
[Fixed] Goto object orders weren't being saved/loaded.
[Fixed] Order lists were being loaded in reverse.
[Fixed] The dim2di for the blueprint window's tab buttons was using 2 px less than it should have, resulting in part of the button being cut off in the window.
[Fixed] Sending chat messages with the # character in them no longer causes weirdness.
[Changed] Various game data files (PlanetTypes.xml, build_queues.xml, ...) can now be overwritten by mods.
[Changed] Script data loading now falls back to the default files (mods no longer have to copy the Script Data directory).
[Changed] Empire names and colors are now moddable the same way system names are.
[Changed] Changed the standard maps to use a single copy of object descriptors, rather than making a new one for each object. Significantly speeds up map generation for common map sizes.
[Changed] Removed unnecessary window generation and resource loading during script testing.
[Changed] The tutorial can now be localized.
[Changed] An auto-colonize order can now be removed by right-clicking on the planet and unticking it.
[Changed] The AI now periodically retrofits its obsolete ships.
[Changed] Slightly sped up locking in general, and reduced overhead related to creating those locks.
[Changed] AIs obsolete their old designs and retrofit their old designs to larger versions. (Cruisers go up to scale 24 over time).
[Changed] Planet orbits were much slower than intended. Planets now orbit at faster speeds, and their speed is based on the size of the star.
[Changed] Changed various memory allocations over to a pooled system. Slight gains when setting the game up, but far more dramatic gains when exiting.
[Changed] Objects now register themselves instantly during map creation, significantly improving map generation speeds.
[Changed] Empty strings no longer allocate themselves on the heap.
[Changed] Star Ruler's icon has been replaced with a higher resolution version.
[Changed] Mods can now add their own Locales that are loaded after and can override the base game's.
[Changed] Weapon effect graphics are now allocated in a pool, significantly improving performance when watching combat.
[Changed] Updated French, Russian and German translations.
[Changed] While updating the blueprint window to the planet window's style, reduced the image size, saving a slight bit of memory.
[Changed] Objects are destroyed on-demand when the game exits, speeding up game exit times.
[Changed] Planetary rings now have ambient lighting.
[Changed] Planetary rings are now more common.
[Added] An optional toggle in the system window to display stored resources for planets in the list.
[Added] Ships can now be scuttled at planets for resources. They provide 50% of their cost to the planet.
[Added] Added support for ttf fonts and locale-specific fonts.
[Added] Added basic per-system minimaps.
[Added] Add Require:Tag to restrict subsystems to blueprints that have that tag.
[Added] Script bindings for Irrlicht's quaternion.
[Added] Relative military strength bars for pinned systems/stars and systems in the system window's system list.
[Added] "Zoom to object" buttons in planet window, pinned list and the system window's planet list.
[Added] The clusters map now has separate options for flattening the overall map and the clusters themselves.


======
Version 1.0.2.2
Built 10/20/2010
======
[Fixed] Saves with manually obsoleted blueprints were not loading correctly, leading to empty ship lists and crashes.
[Fixed] Civil acts were not affecting labor rate.
[Fixed] Use tool orders were ignoring the hull's orbit targets setting.
[Fixed] Floating point errors were accumulating into the ships damage stat, leading to repair tools continuously firing.
[Fixed] Victory message is no longer displayed when you start a game with no AIs.
[Fixed] Explosion effects would sometimes randomly appear in the system when you started a game.
[Fixed] When selecting a color for your empire the window would sometimes get stuck dragging.
[Changed] Beam weapons now also have a random component in their firing delay.
[Changed] Pirate raids now become less frequent at lower difficulties.
[Changed] Updated Russian translation.
[Balance] Reduced improvement rate of stealth hulls. Capped their effectiveness at 95%.
[Balance] Cargo bays and Ammo storage now scales to a higher storage.
[Balance] Fuel Cells now scale in the same way as cargo bays.
[Added] Subsystems in the damage report window now display their current level.
[Added] Entry in the right-click menu to select all ships in a system with the same blueprint as the one you clicked on.
[Added] Stations can now be retrofitted at the planet they are orbiting. It will cost 20% more than usual (up to 60% of the cost of building a new one) to represent the cost of moving it down and launching it back up again.
[Added] Added localized versions of various graphical buttons for French and German.


======
Version 1.0.2.0
Built 10/18/2010
======
[Fixed] Fixed crashes on saving/loading dock and retrofit orders.
[Fixed] Map-specified tags in the new game menu were not being displayed in the scroll box.
[Fixed] Fleet names are now saved and loaded.
[Fixed] The Phased Energy Beam was too cheap, and did far too little damage.
[Fixed] Combat effects were broken in the legacy 1014 mod.
[Fixed] Fleets could add other fleets as members, causing various issues.
[Fixed] The camera position is now saved and restored on load.
[Fixed] Servers/clients could lose connections if they took too long during the loading stage.
[Fixed] Planet ticks (which handled the economy) were not using a managed tick rate, causing slower production than intended.
[Fixed] Planets will be correctly lost when population reaches 0.
[Fixed] Stealth Hulls were applying their effects after armor.
[Fixed] Homeworlds now hijack the orbits of existing planets if possible, fixing planets orbiting through each other in non-tiny galaxies.
[Fixed] Minor script exception in multi-rack mounts.
[Fixed] Autosave was triggering every 15 seconds instead of 15 minutes.
[Fixed] AIs were not checking systems generated after their home system for expansion, leading to randomly stalled AIs.
[Fixed] Targeting sensors that were smaller than the connected weapon could actually reduce range.
[Changed] The windows in the top bar can now be toggled with F1-F6.
[Changed] The movement solution has been further optimized.
[Changed] Improved system locking to make the game perform more consistently, and faster overall.
[Changed] Updated French, Polish and German translations.
[Changed] New designs default to not orbiting targets now.
[Changed] Saving a design with the same name as an existing one now marks the new design as an updated version of the old one instead of displaying an error.
[Changed] Updated the tutorial.
[Added] Maps can now define options for an advanced window in their xml files, they can control the size and columns of their advanced window.
[Added] Option to turn off galaxy gas display.
[Added] The Options and new game windows can now be localized.
[Added] Ships without engines (i.e. stations) now orbit the planets that created them.
[Added] Added basic interface to choose empire settings when a game starts.
[Added] Added range rings - hold alt to show the range of the selected and/or hovered object.
[Added] Arrrr! Pirates will now periodically raid systems with lots of resources but no defenses.
[Added] The names of the default, AI and pirate ships can now be localized.
[Added] Autosaves and quicksaves are now rotated, you can specify how many saves to keep. The ones with the higher numbers will be older.
[Added] The planet window's queue tab now displays the total cost of the current queue.
[Added] Added proper ship set support.
[Added] "Defend Position" stance, ships will engage targets but return to their original position afterwards.
[Added] "Update All" button in blueprints list that immediately updates all designs to the latest tech level.
[Added] Remnants now roam uncolonized systems and attack all ships within them. Their amount and frequency depends on the difficulty.
[Added] A basic victory condition (destroy every planet owned by another player).

======
Version 1.0.1.8
Built 10/11/2010
======
[Fixed] Fixed an issue that broke most sub system modifiers and planet conditions.
[Fixed] In the Stellar-pedia, the Shipyard world's description was for the Construction world. Also added the Shipyard world's correct description.
[Fixed] Float input fields in the new game menu were not working properly.
[Fixed] Players could not rejoin empires after a multiplayer game was loaded from a previous save.
[Fixed] Clients playing as empires in multiplayer now get the first planet pinned and zoomed to.
[Fixed] Hosts were getting pop ups when the master server temporarily didn't respond.
[Fixed] Missing localizations for the object info window's cargo panel.
[Fixed] When opening the planet window for the first time without a planet selected, automatically select your first planet instead of showing an empty window.
[Fixed] Tweaked cargo transfer logic to possibly fix negative cargo storage.
[Fixed] Fixed long-standing issue where multiple objects shared an ID in loaded games. Fixes various issues with loaded games, primarily in multiplayer.
[Changed] Updated Russian translation.
[Changed] Control-clicking in the right click build menu (not build on best) now also pops up the specify amount window.
[Changed] Clicking on a treaty waiting icon in the empire window's empire list now pops up the treaty window.
[Added] Added flags to Effect Events to allow special damage types.
[Added] Maps now have their own .xml files to specify map-specific settings.
[Added] Added various new map shapes: Sphere, Cylinder, Cross, Dumbbell and Clusters.
[Added] Added a new weapon: Phased Energy Beam. Deals low damage, but passes completely through armor (not shields).
[Added] Added float vector.dotProduct(const vector& other) const for scripts.

======
Version 1.0.1.6a
Built 10/8/2010
======
[Fixed] Crashes in multiplayer.
[Fixed] Crashes in formations.
[Fixed] Stances work in multiplayer.
[Fixed] AIs remember if they cheat.
[Fixed] Issues with names in multiplayer.
[Fixed] Spacing for formations works for large ships.
[Fixed] Resolution selection was broken by the Vertical Sync addition.

======
Version 1.0.1.6
Built 10/7/2010
======
[Fixed] Fixed an error in the stellar-pedia (Research World description)
[Fixed] Docking now works in multiplayer
[Fixed] Fixed research issues in multiplayer
[Fixed] Re-ordering items in a planet queue now drags the last item of the group.
[Fixed] Quantum Compressors had no effect on economic storage and ship bays.
[Fixed] Stealth Hulls now execute their miss logic before their damage absorption.
[Fixed] Fixed an issue with unicode localizations.
[Fixed] Ringworlds were boosting both the size and level of structures, leading to epic strangeness.
[Fixed] Small objects will no longer be cut off so drastically.
[Fixed] Bussard Ramjets were ignoring the thrust multiplier in settings.txt
[Fixed] The structure list was behaving weirdly (erratically reordering, removing the wrong level) when removing structures.
[Fixed] The research queue was failing to save.
[Fixed] Systems were being sync'd to a slightly different position on the client, which lead to some strangeness.
[Changed] Object ownership changes are managed differently now, reducing overall bandwidth usage.
[Changed] AIs now make liberal use of fighters.
[Changed] The default fighter design now uses the Fighter Hull, and has a longer flight time.
[Changed] AIs now intelligently queue up designs, leading to less wasted production capacity in games with many systems.
[Changed] Redid a significant portion of Sub System base code. Modders will need to redo any modifiers they have created, see the game's existing modifiers for examples.
[Changed] Updated German, Russian, French and Polish translations.
[Changed] AIs will be more intelligent about their research.
[Added] Player names are now matched to their empire in the empire screen in multiplayer.
[Added] A message is now displayed if you fail to connect to a server.
[Added] Added the Fighter Hull, a hull for small ships (scale 1 or smaller) that has the ability to dodge attacks while moving. It is also light, slightly cheaper than normal, but very weak.
[Added] Added an option to enable/disable Vertical Sync.
[Added] Added console command zplane <ratio> (default 140000) to control the near clipping plane.
[Added] Large ships become rapidly more expensive to build as difficulties in construction lead to massive losses of resources.
[Added] Added a new technology: Mega Construction. Advancing this technology will unlock the Ringworld (with two other techs researched), and reduce the cost of building massive ships.
[Added] Fleet formations (wall, box, escort, wedge).
[Added] Ship stances / engagement orders ("Engage at will", "Hold position", "Hold fire").
[Added] Added new system window with more information, more controls, and multi-system support.
[Added] Added new AI ship designs.
[Added] Owned planets and ships can now be renamed through a button on the info panel. (Not fully supported in multiplayer)

======
Version 1.0.1.4
Built 9/28/2010
======
[Fixed] Fixed a crash on save after manually obsoleting a hull.
[Fixed] After updating, hulls ignored the Update Every X Levels setting.
[Fixed] Players were not cleared from the server upon exiting, causing crashes when starting a game.
[Fixed] Many sounds would play if the player loaded a game with contested systems.
[Fixed] AIs will no longer spam their systems with colony ships if there are already plenty of idle ones around.
[Fixed] The event notification sound will now play only once every 6 frames.
[Fixed] The attack warning (sound & message) will only play once every 6 frames.
[Fixed] Fixed two crashes that could occur in long-running games.
[Fixed] The To and From clauses when reviewing a treaty were reversed, if you did not create the treaty.
[Fixed] The GuiExtText was improperly allocating many little strings that were immediately destroyed. This should speed up GUI initialization somewhat.
[Fixed] Fixed a crash related to objects entering systems.
[Fixed] Mods with periods in their name would not load.
[Fixed] Fixed some missing Charge hints on generators.
[Fixed] Fixed a line that was cut off in the tutorial.
[Fixed] Clearing orders will also clear gun targets.
[Fixed] Pressing escape now cancels key changing (as rebinding escape would prevent menu access).
[Fixed] Fixed a crash related to beam effects playing against a dying object in multiplayer.
[Fixed] Fixed a race condition in nested read/write blocks. Fixes early-game crashes, and some other potential crashes.
[Changed] Updated German and French translations.
[Changed] Multiplayer Servers that get delisted should relist themselves periodically.
[Changed] Reduced packet fragmentation for object updates.
[Changed] Further reduced the amount of data sent in multiplayer object updates. Estimated savings at 33 KB/s per player per 500 objects.
[Changed] Systems that contain no clients in multiplayer will not send updates to the client, saving bandwidth.
[Changed] AIs now designate shipyard and research worlds, their fleets will get larger and stronger much more quickly now.
[Changed] Holding shift while dragging in the planet queue now drags the entire group instead of just one item.
[Changed] To reduce the need to spam armor plates, armor now scales differently. Note that the special utility of the armors remains at the previous behavior. Also note that you can scale armors, rather than place more on a design.
[Changed] Auto-colonize now sends colonizers to the closest systems first.
[Changed] "Join Fleet" and "Auto-colonize system" from the right click menu now act on all selected ships/systems.
[Changed] Single-resource governors now build space ports more often. Economic governors now build spaceports.
[Changed] AIs will set specific resource governors on planets when they are low on a particular resource.
[Changed] Cheating AIs build nothing but luxuries, research and shipyard worlds. *Evil Laugh*
[Changed] Space damage now deals 50% more base damage, and significantly more damage for bigger ships.
[Changed] Slightly reduced peak bandwidth load.
[Changed] Bussard Ramscoops now have some fuel storage.
[Changed] The research window has been restyled to match the Planet Window's overall appearance. Other windows will follow the same style.
[Changed] The system icon (three multi-colored planets) has been replaced with a more fitting and aesthetically pleasing image.
[Changed] The default Hauler is now larger, and has a ~30 minute flight time (as opposed to 10), at the cost of some acceleration.
[Added] Added Russian translation.
[Added] Added new civil acts: Options to focus labor production vs economic production. Options to focus a specific economic production. (+50% of one, -35% of the other two; +100% of one, -90% of the other two)
[Added] Ships can now be retrofitted (select the ships, right click on the planet to retrofit them at). Ships will remove 50% of their original build cost from the price of the retrofitted design.
[Added] Hovering over a technology now displays what it improves and what it will unlock next in the tooltip.
[Added] Added lines showing connections between technologies.
[Added] Added a basic in-game manual. Will be improved over time.
[Added] Added multi-font support along with some variations on the game's font, and the font used for the game's logo.
[Added] Added removeRand logic for governors. All governors except Balanced and Renovate-Only will now steadily remove unrelated structures when it makes sense.
[Added] Added legacy mode. When we change data file in a way that old saves will no longer load, the game will ask if you want to run in legacy mode. This moves the save to the correct legacy mod folder and runs as normal.
[Added] Added a message when an empire declares war on you.

======
Version 1.0.1.2
Built 9/20/2010
======
Changes:
[Fixed] Removing an item from a planet queue removes the last in that group, rather than the first.
[Fixed] Auto-colonization now works in multiplayer.
[Fixed] Hulls now auto-update in multiplayer.
[Fixed] AI Homeworlds now use the planet governor.
[Fixed] Planets that have more than one condition now work in multiplayer.
[Fixed] Unicode files had issues with lines that loaded across a barrier. (Fixes weirdness with unicode files)
[Fixed] Use Tool orders are now sent to the server, and save and load properly.
[Fixed] In the planet window, the structure hover info should no longer be stuck visible.
[Fixed] Dragging within a list box will no longer result in strange behavior.
[Fixed] Distant star icons had been removed by accident, leading to distant stars being black boxes.
[Fixed] Changed some packet behaviors to improve connection performance in high-lag situations.
[Fixed] Significantly reduced bandwidth usage in multiplayer by removing unnecessary data from object updates.
[Fixed] Offensive treaties (i.e. Declare War) should now function properly in multiplayer.
[Fixed] Unpausing the game by hotkey also remembers the previous game speed.
[Fixed] Researched links are now shown for clients in multiplayer, clients no longer get their display stuck at ETA 0 when a new link is discovered.
[Fixed] Some objects were being duplicated while downloading the map to clients, wasting bandwidth.
[Fixed] Map objects downloaded to the client were occasionally out of order, causing them to not be present on the client.
[Fixed] Galaxy gas is now sent to clients in multiplayer.
[Fixed] Save files were breaking the common strings list, leading to various issues (like broken Use Tool orders)
[Fixed] A bug in the mover was causing fleet members to behave very strangely.
[Fixed] Large flak effects were crashing servers.
[Fixed] Clients were not getting relation updates (e.g. enemy/ally/neutral).
[Fixed] Rally points now work in multiplayer.
[Fixed] Exploit that allowed viewing other empires' constructions.
[Fixed] Auto-colonize was sending colonizers to planets that were taken over by another empire between the time the auto-colonize order was given and the colony ship was built.
[Changed] Holding shift while removing an item from the planet queue now removes all the items in that group.
[Changed] Joining a server hosted by a different version of a game will automatically disconnect if the versions are incompatible.
[Changed] Tweaked what techs the AI researches, and added a few.
[Balance] Goods production has been reduced to 25% of previous, and Luxuries to 12.5%.
[Added] Hulls now have a setting specifying how many level improvements before the hull automatically updates. 0 levels disables auto-updating.
[Added] Empire Window is now localized.
[Added] Added "profile_network" console command. Opens a window that shows various connection stats. May help us determine what's causing some players' issues in multiplayer games.
[Added] Saves will now show the empire you were playing as, and the time the game was saved.


======
Version 1.0.1.0
Built 9/16/2010
======
Changes:
[Fixed] Fixed typos in planetary cannon and space port descriptions.
[Fixed] Jump Drives were always available, and did not improve with technology.
[Fixed] Disconnect notifications were not being sent and disconnected players were not giving up control of their empires to the AI. (Leading to new players not being able to take over)
[Fixed] In Multiplayer, players were able to see the orders given to ships controlled by other empires.
[Fixed] The tooltips shown on the planet window when hovering above a building in the "Manage Queue" tab will now always show the correct structure information.
[Fixed] Heartbeats to the master server would stop after a single timed out connection, causing live servers to be de-listed.
[Fixed] Fixed loading of Unicode files. Fixes issues with some double-byte languages.
[Fixed] Object AI access should be more stable. (Improves fleet window stability)
[Fixed] Ships were showing up with the wrong icon/scale for clients in multiplayer.
[Fixed] Movement lines are now displayed for clients in multiplayer.
[Fixed] The rally point line now scales properly with camera distance and is colored differently from movement lines.
[Fixed] The movement solver had a slight logic error leading it to be completely broken. It should behave much better now!
[Fixed] Shields now properly links to Stealth.
[Fixed] Disabled ships are now removed from hotkey groups.
[Fixed] AIs now correctly load Ship Designs. Fixes issues with AIs not expanding.
[Fixed] Jump Drives will no longer be considered when calculating maximum firing range. (Fixes issues with ships not approaching targets)
[Fixed] The tutorial now saves the active page, and returns to that page upon loading.
[Fixed] It should be nearly impossible to start in a bad system (Supernova/Quasar) or in the same system as another empire.
[Fixed] The galaxy update is now threaded. Should significantly improve framerate in high-lag situations, and even more on multi-core machines.
[Fixed] Acceleration wasn't integrated between game frames, leading to inaccuracies in movement.
[Fixed] The load game menu will now show only .srs files.
[Changed] The time/gametime and paused indicators are now handled in angelscript. This means they are now moddable.
[Changed] Reactive armor was too effective late game.
[Changed] Moved time/gametime indicators to the right edge of the screen, properly centered top bar.
[Changed] When rallying to a ship that is part of a fleet, newly constructed ships will now automatically join that fleet.
[Changed] Creating a new fleet with 'f' now behaves more intelligently (eg does not add ships to multiple fleets).
[Changed] Fleets will now move together between systems, unless ordered to leave a system with an enemy presence.
[Changed] When box-selecting a fleet, the subselection is always set to the fleet leader.
[Changed] Fleet icons now scale with camera distance (up to a point), so fleets are easier to spot.
[Changed] Planets remain semi-visible after leaving the system they were in.
[Changed] Upon leaving a system, the indicator ring will change to match what is left after you leave.
[Changed] Ringworld Structures are now 10x larger. 100 such large structures can be placed on a ringworld, giving an effective 1000 structure slots.
[Changed] Updated German translation for 1.0.1.0
[Changed] Updated Italian localization for 1.0.1.0
[Changed] Updated French localization for 1.0.1.0
[Changed] Right-clicking in the planet queue now removes that item.
[Changed] Structure Built events will no longer be shown in the ticker.
[Changed] When a ship has only a single tool to use, Use Tool... becomes Use Tool... <tool>. No need to open the sub menu.
[Changed] When pressing the renovate button on the planet window, renovate all structures of that same type.
[Changed] The buildable structure list on the planet window now grays out when you (will) have no more slots.
[Added] Added escape menu localization strings.
[Added] Colony ships now coordinate with each other so they will not attempt to colonize planets that another colonizer (from the same empire) is already heading towards.
[Added] Auto-colonizing a system or planet with insufficient colonizers now marks the remaining planets to be colonized by future idle colonizers.
[Added] There is now a subsystem damage report panel underneath/integrated with the selected object panel, it displays the hitpoint totals of either all the subsystems or the subsystems collapsed into categories of the currently selected/subselected ship.
[Added] Game speed display and control buttons are now on the top right of the screen.
[Added] Governor type is now displayed in the mouseover info text for planets.
[Added] Added Polish translation for 1.0.1.0
[Added] Planets now receive 0-2 random conditions that affect how effective/strong/costly structures built there will be. The conditions possible for a planet are based on its type, so lava planets will never be frigid, and desert planets won't be covered in plants. The conditions are currently unknown until you colonize the planet, although we will add ways to scan planets in future patches. You may see the conditions on a planet by mousing over it, or in more detail in the planet window.
[Added] Button in the empire window that leads to the now-stable fleets window.
[Added] Added a new sub system/weapon: Boarding party. Allows the capture of enemy ships, as well as disabled ships that aren't heavily damaged.
[Added] Added auto-repeat planet queue button.
[Added] Added new remixed theme. Plays 50% of the time on the main menu.
[Removed] Due to various conflicts with rapid engine changes, removed Sajuukhar's UI mod.
[Removed] Removed some old, unused images.

======
Version 1.0.0.8
Built 9/3/2010
======
Changes:
[Fixed] Constructions were building at 50% per second when out of a resource, rather than 5%. Should fix the "stuck at 97%/99%" issue for some things.
[Fixed] Ships' auto-targeting (not defend order) was checking the galaxy's objects, rather than the local system.
[Fixed] The AI was not developing its homeworld, putting it at a massive disadvantage early on.
[Fixed] The Balanced World had an incorrect setting for cities, which caused problems with the economy.
[Fixed] Pinned objects were broken when loaded from a save.
[Fixed] Jump Drives work.
[Fixed] The camera no longer removes objects from the view in small galaxies.
[Fixed] Pre-damage Order was not being loaded correctly, causing hulls to be hit before armor at times.
[Fixed] Docked objects weren't being saved. Saves from older games will properly show 0 ship storage used.
[Fixed] BuildPerN and BuildN (when n was larger than 1) were not working.
[Fixed] A minor check against cheating caused AI worlds to not develop, putting them at an unbelievable disadvantage. Prepare yourselves.
[Changed] Updated French translation (has text for this version).
[Changed] Updated German translation (has text for this version).
[Changed] When selecting a governor from the right-click menu, automatically turn the governor on too.
[Changed] System Ring color/image is better managed now. (Coloration should match the true 'owner' better)
[Changed] Moved empire bank display to the left of the screen, between the research ticker and the pinned object list.
[Changed] Jump Drive range has been rebalanced. Larger ships, and larger jump drives, will have longer range.
[Changed] Improved starting effectiveness of the Targeting Sensors. Fixed their extreme modification factor for large sensors on a tiny gun.
[Added] Added button under empire bank display to toggle between displaying stored resources and income rates.
[Added] Added German translation thanks to the community.
[Added] Added basic Fleets window. (Unstable and unfinished. Press 'U' to access)
[Added] Integrated Planet and Research window upgrades from the UI Mod (Thanks Sajuukhar)
[Added] The bottom-right selection box now shows how many objects are selected in total at the bottom too.
[Added] Added an "AI Cheats" option. Cheating AIs generate resources from nothing, and can see all systems at all times.
[Added] Movement lines are now displayed when ships in motion are hovered over.
[Added] When multiple ships are selected, use tab to cycle the primary target between them (subselection). The primary target will display its movement line and will have its info shown in the object info panel.
[Added] Added default governor type for new planets setting to empire window.
[Added] Added Italian translation.
[Removed] Removed some unused data in objects that should reduce memory usage.

======
Version 1.0.0.6
Built 8/30/2010
======
Changes:
[Fixed] getSelectedObject(uint) was returning an invalid reference, causing a crash.
[Fixed] Clicking Blueprints with the window open now closes the window.
[Fixed] Ships created by other empires no longer flash into existence for one tick.
[Fixed] Opening multiplayer, closing the window, then trying to start a game should no longer crash.
[Fixed] Cancelling while loading a multiplayer game (or having the connection refused) should no longer crash.
[Fixed] Undocking objects no longer bugs their positions in incomprehensible ways.
[Fixed] Contacting the master server should be somewhat more reliable.
[Fixed] Starting the game paused no longer results in planets appearing inside their stars.
[Fixed] System Names were not loading properly for mods.
[Fixed] Ship explosion sounds were playing in the distance, resulting in the sound system getting overloaded as the game progressed.
[Fixed] Pinned objects now save and load.
[Fixed] Fixed a crash on close related to loading a save with ships that have no guns.
[Fixed] Planetary economies ran at different speeds at different tick rates.
[Fixed] Planet window now correctly displays available workers like the tooltip states.
[Fixed] The governor now also keeps track of workers needed for currently disabled buildings when deciding whether to build cities.
[Fixed] Immobile objects were improperly banned from docking. Now, only planets are banned from docking.
[Fixed] Designs made by the AI scripts (including default designs) were unable to use sub system modifiers.
[Fixed] Multiplayer was working only at the whim of your system memory's default state. Oops.
[Fixed] AIs should no longer build ships they don't understand.
[Fixed] Empire stats in multiplayer are now received correctly.
[Changed] You can now select objects much further away.
[Changed] You can now see objects much further away.
[Changed] Locales now override entries in English.txt, to prevent incomplete translations from having lots of #TT_Something throughout the game.
[Changed] Bussard Ramscoops now level with Particle Physics (giving that technology a purpose)
[Changed] Bussard Ramjets now require both Particle Physics and Engines to level up
[Changed] Changed visibility rules in the galaxy: Objects maintain the visibility they had to the player after leaving a system.
[Changed] Planet Capitols now only cost labor, so they can be built on any colony with people, regardless of resource income rates.
[Changed] Changed AI build priorities to help avoid them getting stuck not expanding.
[Changed] Changed the brown empire color to something more visible.
[Added] The bottom-right box now shows quantities for each type of object selected, as well as names of each planet selected. You may also interact with individual sub-groups with the mouse and key modifiers (ctrl and shift)
[Added] Added a scroll to select the scale for new sub systems, to allow rapidly adding many of a specific size.
[Added] More resolutions are available in the resolutions option list.
[Added] Added planet queue Save/Load/Clear functionality and accompanying buttons.
[Added] Added an empire message whenever research is completed.
[Added] Control clicking on a ship design to build in the planet window will pop up a dialog to specify the exact amount of ships you want to build.
[Added] The import button on the blueprint window now pops up a dialog with a list of saved blueprints to import.
[Added] Added planet event callbacks. See http://forums.blind-mind.com/index.php?topic=810.msg4864#msg4864
[Added] Added French localization, thanks to the community.
[Added] The scale of a ship is now displayed after its name on the mouse overlay text.
[Added] Updated to the newest version of RakNet (networking library).
[Added] Added a Station Hull: Strong with lots of internal space. Unable to equip engines. Expensive for small designs, cheap for large.
[Added] Added the ability to pick from various planet governors.
[Added] Added 11 new planet textures; 8 desert-like, 3 earth-like.
[Added] The empire bank resource counts are now displayed in the top right of the screen. They are colored red or green depending on whether your reserves of that resource are growing or shrinking.
[Added] Stars trigger a timed effect on objects in their system upon dying. The effect name is "star_damage", lasting 10 seconds, and passing no variables. The effect is delayed 1 second per 50 units from the star when the star exploded.
[Added] Added localization support for the Right Click Menu
[Added] You may change governor settings from the Right Click Menu now.
[Added] Added a Disband Fleet command to the Right Click Menu.
[Added] Added the Galactic Capitol, a structure that cannot be built. In the default map, you will start with one on your homeworld. Acts as a Planet Capitol, but produces resources 10x faster.
[Added] The direct connect inputs now reflect the ip/port of the selected server in the server list.
[Added] Added a language option to the options menu.
[Added] Empire Settings can be changed in multiplayer (e.g. New Colonies use Governor, Civil Acts).

======
Version 1.0.0.4 (Hotfix)
Built 8/25/2010
======
Changes:
[Fixed] Ships were not registering to their proper owner.

======
Version 1.0.0.4
Built 8/25/2010
======
Changes:
[Fixed] Space ports have been given dedicated storage for the materials they transit, increasing their late game effectiveness. As they would likely be far too effective, their trade rate has been halved.
[Fixed] Ships now have a valid owner during hull initialization.
[Fixed] Stealth systems had incorrect hint values, and were overly powerful at high levels.
[Fixed] Removed unnecessary code in the economy, and fixed a reversal in metal/electronics generation.
[Fixed] Fixed a crash related to unowned objects.
[Fixed] The Jump Drive is no longer available at the start of the game.
[Fixed] Fixed issues with the Dry Dock and Military Outpost.
[Fixed] High Sensitivity mice could make it difficult to use the research queue.
[Fixed] Fixed an out-of-bounds error in the research queue.
[Fixed] The resolution drop-down list wasn't recognizing the current resolution.
[Fixed] Salvagers will cease salvaging when full in cargo.
[Fixed] Fixed Ringworlds making saves unloadable.
[Fixed] Marking a design obsolete should instantly hide it from the list with obsolete designs hidden.
[Fixed] When the planet window opens, the ships list is refreshed. (Related to above fix)
[Fixed] The current mod is reset to "Standard Game" upon exiting a game. Fixing tutorial being re-played when quickstarting after playing the tutorial.
[Fixed] Planet queue modification in multiplayer actually works now.
[Fixed] AIs were trying to create fleets too early into the game.
[Fixed] Missile Racks now correctly consume ammo.
[Changed] Vertical/Horizontal sensitivity is now set in 0.05 increments, rather than 0.1.
[Changed] Salvagers grant equipped ships a Deposit Metals order, which should improve their automation.
[Changed] Movement lines are visible from far away, and at least one line will always display with units selected.
[Changed] Selected objects' icons are now whiter, and visible much further out.
[Changed] The New Game menu has been re-ordered a bit.
[Added] Added an option to the config file to control panning speed.
[Added] Added panning speed to the options menu.
[Added] Added zoom speed to the options menu.
[Added] Added autosave interval to the options menu.
[Added] Added a checkbox to toggle zoom out behavior between current and Supreme Commander-like zoom out. Defaults to SupCom style.
[Added] Added new system ring images to differentiate between statuses of systems. (e.g. Has Planets vs Has Ships Only)
[Added] Added the version number to the Main Menu (in the top right).
[Added] The AI now utilizes a wider variety of designs.
[Added] Layout AI settings are now exported/imported.
[Added] Added a toggle to enable/disable a threading compatibility mode. Should make it easier for people experiencing early freezes to correct the issue.
[Added] Added a nickname box to the multiplayer window.
[Added] Added a refresh button to the multiplayer window.
[Added] Added a "Public Server" checkbox. Disabling this will prevent your server from being listed on the server list.
[Added] Added an action (bindable to a key) to reset the view's roll to default.
[Added] Middle-mouse click on an object focuses it and resets the camera's roll.
[Added] Added some localization strings.
[Added] System names are now loaded from a text file (Game Data/systemNames.txt), one per line. Mods can overload the file to use their own names.
[Added] Added approx. 100 system names.
[Added] Added option to change the AI difficulty from 0 (Easy) through to 5 (Hard). 2 is behaves as it did before. Affects how often they think, and a few other things. The tutorial uses difficulty 0 now to minimize the possibility of the AI interfering.
[Added] Sub Systems can now use tags beginning with Restrict: (e.g. Restrict:Engine) to prevent Sub Systems with the specified tag from being used in the design.
[Removed] Removed unused images.
[Removed] Removed Ships Rumble option, as it had no effect.

======
Version 1.0.0.2
Built 8/23/2010
======
Changes:
[Fixed] Unowned objects can now be fired upon by any empire.
[Fixed] Zooming out from an object disobeyed max zoom distances.
[Fixed] The names of the Propulsion and Gravitics were too long for some zoom distances in the research window.
[Fixed] Ships would not take fuel from planets if there would be too little fuel remaining on the planet.
[Fixed] Settings in the new game menu would get "stuck" with their previous values if untouched.
[Fixed] Solar panels now are able to hold Charge.  This fixes a problem where solar panels alone would result in a disabled ship despite there being no warnings.
[Fixed] Multi-Racks will now level with Ship Systems, rather than staying at level 1.
[Fixed] Some error handling code for saves had been erroneously left disabled.
[Fixed] Fixed some minor errors in the tutorial.
[Fixed] Mining Laser power consumption scaled with level.
[Fixed] Changing camera sensitivity would have no impact until restarting the game.
[Fixed] Some packets were using too strict a reliability, which could slow down connections.
[Fixed] Some unused data was left in objects. It has been removed, reducing memory usage slightly.
[Fixed] Players can no longer join into the "Pirates" empire.
[Fixed] The Time text overlapped the top bar buttons if the window was resized during loading.
[Fixed] AI Settings were shown wrong after loading a layout.
[Changed] Rebalanced all weapons' firing rates. Overall, damage should be reduced late game, and all weapons should produce similar damage rates.
[Changed] Ship rotation should be far, far faster for larger ships, and mildly faster for smaller ships. Further, ships beyond scale 3600 will turn no slower.
[Changed] All sub systems gain 25% of their base health per level, if they weren't already increasing health per level.
[Changed] Effectiveness gains per level have been reduced to 1.4x per level from 1.5x.
[Changed] All weapons now get longer-ranged with scale.
[Changed] Armor can now be scaled for finer control, and to avoid spamming copies of armor.
[Changed] Coolant System effectiveness scales to 2x with level, rather than becoming progressively more insane.
[Changed] Star explosion effects no longer have a long delay before playing.
[Changed] There is now a minimum zoom in distance for tiny objects, preventing issues of the camera getting locked in place.
[Changed] Moved the Sub System information panel in the layout editor. Is now larger.
[Added] Added information to many sub systems to make their mechanics clearer.
[Added] In AI Settings, the min/max level is shown as a numerical % beside the bar.
[Added] Added a button to the blueprints list to toggle the obsolete state on a blueprint.
[Added] Planet queues can now be controlled in multiplayer.
[Added] Planet governors can now be toggled in multiplayer.
[Added] Added lots of new pages to the tutorial covering many requested areas.
[Added] Added additional hint information to various weapons.
[Added] Added a drop-down box to the options menu to change resolution.
[Added] Added "Flight Time" stat to the layout editor. Shows how long the ship can run with its fuel use/capacity.
[Added] Added script find functions. See http://forums.blind-mind.com/index.php?topic=570.0 for details.
[Added] Added script functions to iterate through selected objects. See http://forums.blind-mind.com/index.php?topic=573.0
[Removed] Removed Volatile Galaxy, as it didn't function.

======
Version 1.0.0.0
Built 8/16/2010
======
Changes:
Initial Release